Skip to main content
Event Names represent the events that Chameleon tracks for your account. These include events sent via the JavaScript API (e.g. chmln.track('Signed up')) and events forwarded from integrations like Segment. Events can be used in Segmentation Filters to target users who have (or haven’t) performed specific actions.
With the Chameleon API for Event Names, you can:
  • Retrieve a list of all Event Names in your account.
  • Retrieve a single Event Name by its id.
  • See which events are published (actively tracked) vs. unpublished.

Schema

PropertyTypeDescription
idIDThe Chameleon ID
created_attimestampWhen this happened or when this was added to the Database
updated_attimestampThe last time any property was updated
namestringThe display name given by an administrator of Chameleon
descriptionstringA description of the event
uidstringThe normalized identifier for the event (e.g. chmln.track('Signed up') becomes signed_up). See Normalization
kindenumThe kind of event. One of tracked or custom
sourceenumThe source of the event. One of api_js, api_v3, segment, freshpaint, heap, mixpanel, rudderstack, or amplitude
published_attimestampWhen this event was set to be a Tracked event. null if not actively tracked
last_seen_attimestampWhen this event was last triggered by any user
filtersarrayCustom event property filters configured for this event
content_summarystringA summary of the event
dashboard_urlstringA link to the Event Name in the Chameleon Dashboard

Listing Event Names

Retrieve a list of Event Names for your account.

HTTP Request

GET
https://api.chameleon.io/v3/edit/event_names
param-description
limitoptionalDefaults to 50 with a maximum of 500
beforeoptionalUsed when paginating, use directly from the cursor object from the previous response
beforeoptionalRead as “created before” and can be given as a timestamp to get only limit items that were created before this time
afteroptionalRead as “created after” and can be given as a timestamp or ID to get only limit items that were created after this time

HTTP Response

{
  "event_names": [
    {
      "id": "5f3c4232c712de665632a6d5",
      "created_at": "2029-01-15T10:30:00Z",
      "updated_at": "2029-06-20T14:22:00Z",
      "name": "Signed up",
      "description": "User completed the signup flow",
      "uid": "signed_up",
      "kind": "tracked",
      "source": "api_js",
      "published_at": "2029-01-15T10:35:00Z",
      "last_seen_at": "2029-08-10T09:15:00Z",
      "filters": [],
      "content_summary": null,
      "dashboard_url": "https://app.chameleon.io/data/events/profile/5f3c4232c712de665632a6d5"
    },
    {
      "id": "5f3c4232c712de665632a6d6",
      "created_at": "2029-02-01T08:00:00Z",
      "updated_at": null,
      "name": "Imported data",
      "description": null,
      "uid": "imported_data",
      "kind": "tracked",
      "source": "segment",
      "published_at": null,
      "last_seen_at": "2029-08-05T14:30:00Z",
      "filters": [],
      "content_summary": null,
      "dashboard_url": "https://app.chameleon.io/data/events/profile/5f3c4232c712de665632a6d6"
    },
    ...
  ],
  "cursor": {
    "limit": 50,
    "before": "5f3c4232c712de665632a6d5"
  }
}

Showing an Event Name

Retrieve a single Event Name.

HTTP Request

GET
https://api.chameleon.io/v3/edit/event_names/:id
param-description
idrequiredAn Event Name ID to lookup

HTTP Response

{
  "event_name": {
    "id": "5f3c4232c712de665632a6d5",
    "created_at": "2029-01-15T10:30:00Z",
    "updated_at": "2029-06-20T14:22:00Z",
    "name": "Signed up",
    "description": "User completed the signup flow",
    "uid": "signed_up",
    "kind": "tracked",
    "source": "api_js",
    "published_at": "2029-01-15T10:35:00Z",
    "last_seen_at": "2029-08-10T09:15:00Z",
    "filters": [],
    "content_summary": null,
    "dashboard_url": "https://app.chameleon.io/data/events/profile/5f3c4232c712de665632a6d5"
  }
}